package de.fitconnect;

import de.fitconnect.client.ClientFactory;
import de.fitconnect.client.SenderClient;
import fitconnect.api.domain.model.metadata.Metadata;
import fitconnect.api.domain.model.metadata.data.Data;
import fitconnect.api.domain.model.submission.Submission;

import java.util.Collections;

public class TestRunner {

    public static void main(String[] args) {

        final SenderClient senderClient = ClientFactory.senderClient();

        var clientId = "781f6213-0f0f-4a79-9372-e7187ffda98b";
        var secret = "PnzR8Vbmhpv_VwTkT34wponqXWK8WBm-LADlryYdV4o";

        // sample high -level- api calls to send a submission
        senderClient.authenticate(clientId,secret)
                .printToken()
                .createSubmission(Submission.builder().build())
                .uploadAttachments(Collections.emptyList())
                .sendSubmission(Metadata.builder().build(), Data.builder().build());
    }
}
